Austin Group Defect Tracker

Aardvark Mark IV


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0000539 [1003.1(2008)/Issue 7] Shell and Utilities Objection Enhancement Request 2012-01-26 21:04 2024-06-11 08:53
Reporter eblake View Status public  
Assigned To ajosey
Priority normal Resolution Accepted  
Status Closed  
Name Eric Blake
Organization Red Hat
User Reference ebb.du2
Section du
Page Number 2611
Line Number 84170
Interp Status ---
Final Accepted Text
Summary 0000539: tighten du regarding files encountered through multiple command line arguments
Description 0000527 gave a resolution that for TC2 of Issue 7, du would be documented
as having unspecified behavior if a file is encountered multiple times
through multiple command line arguments, but also added a future directions
stating that this may be tightened in the future. Issue 8 is the perfect
time to make these additional restrictions binding on implementations.

The desired action is written assuming that 0000527 has already been
applied, but uses line numbers from Issue 7.
Desired Action Change line 84170 [du DESCRIPTION] from:
      A file that occurs multiple times under one file
      operand and that has a link count greater than 1 shall
      be counted and written for only one entry. It is
      implementation-defined whether a file that has a link
      count no greater than 1 is counted and written just
      once, or is counted and written for each occurrence.
      It is implementation-defined whether a file that
      occurs under one file operand is counted for other
      file operands.

to:
      A file that occurs multiple times shall be counted and
      written for only one entry, even if the occurrences
      are under different file operands.

In RATIONALE, after line 84272, add a paragraph:
      The use of the -L option, or of multiple file operands,
      requires that du track all file entries encountered, even
      with a link count of one. However, when -L is not used
      and only a single file operand is given, an implementation
      can optimize by only tracking files with a link count
      greater than one, since in that scenario, those are the
      only files that could be encountered more than once.

In FUTURE DIRECTIONS, change line 84274 from:
      A future version of this standard may require that
      a file that occurs multiple times shall be counted and
      written for only one entry, even if the occurrences
      are under different file operands.

to:
      None
Tags issue8
Attached Files

- Relationships
related to 0000527Closedajosey du and files found via multiple command line arguments 

There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2012-01-26 21:04 eblake New Issue
2012-01-26 21:04 eblake Status New => Under Review
2012-01-26 21:04 eblake Assigned To => ajosey
2012-01-26 21:04 eblake Name => Eric Blake
2012-01-26 21:04 eblake Organization => Red Hat
2012-01-26 21:04 eblake User Reference => ebb.du2
2012-01-26 21:04 eblake Section => du
2012-01-26 21:04 eblake Page Number => 2611
2012-01-26 21:04 eblake Line Number => 84170
2012-01-26 21:04 eblake Interp Status => ---
2012-01-26 21:04 eblake Relationship added related to 0000527
2012-01-26 21:06 eblake Description Updated
2012-01-26 21:07 eblake Tag Attached: issue8
2012-01-26 21:25 Don Cragun Status Under Review => Resolved
2012-01-26 21:25 Don Cragun Resolution Open => Accepted
2020-03-20 09:22 geoffclare Status Resolved => Applied
2024-06-11 08:53 agadmin Status Applied => Closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker